# download and extraction target dir
base-dir=/home/julien-plu/extraction-framework/dump/dumps

# Source file. If source file name ends with .gz or .bz2, it is unzipped on the fly. 
# Must exist in the directory xxwiki/yyyymmdd and have the prefix xxwiki-yyyymmdd-
# where xx is the wiki code and yyyymmdd is the dump date.
 
# default:
# source=pages-articles.xml

# alternatives:
# source=pages-articles.xml.bz2
# source=pages-articles.xml.gz

# use only directories that contain a 'download-complete' file? Default is false.
require-download-complete=true

# List of languages or article count ranges, e.g. 'en,de,fr' or '10000-20000' or '10000-', or '@mappings'
languages=fr

# unqualified extractor class names are prefixed by org.dbpedia.extraction.mappings.

extractors=AbstractExtractor,ArticleCategoriesExtractor,ArticleTemplatesExtractor,CategoryLabelExtractor,\
ExternalLinksExtractor,GeoExtractor,InfoboxExtractor,InterLanguageLinksExtractor,LabelExtractor,PageIdExtractor,\
PageLinksExtractor,RedirectExtractor,RevisionIdExtractor,RevisionUriExtractor,SkosCategoriesExtractor,\
WikiPageExtractor

#extractors.ar=MappingExtractor

#extractors.bg=MappingExtractor

#extractors.bn=MappingExtractor

#extractors.ca=MappingExtractor,DisambiguationExtractor,HomepageExtractor,\
#TopicalConceptsExtractor

#extractors.cs=MappingExtractor

#extractors.de=MappingExtractor,DisambiguationExtractor,HomepageExtractor,ImageExtractor,\
#PersondataExtractor,PndExtractor

#extractors.el=MappingExtractor,DisambiguationExtractor,HomepageExtractor,ImageExtractor

#extractors.en=MappingExtractor,DisambiguationExtractor,HomepageExtractor,ImageExtractor,\
#PersondataExtractor,PndExtractor,TopicalConceptsExtractor

#extractors.es=MappingExtractor,DisambiguationExtractor,HomepageExtractor,ImageExtractor,\
#TopicalConceptsExtractor

#extractors.et=MappingExtractor

#extractors.eu=MappingExtractor,DisambiguationExtractor,HomepageExtractor,ImageExtractor,\
TopicalConceptsExtractor

extractors.fr=MappingExtractor,DisambiguationExtractor,HomepageExtractor,ImageExtractor,\
PndExtractor,TopicalConceptsExtractor

#extractors.ga=MappingExtractor,HomepageExtractor

#extractors.hi=MappingExtractor

#extractors.hr=MappingExtractor

#extractors.hu=MappingExtractor

#extractors.id=MappingExtractor

#extractors.it=MappingExtractor,DisambiguationExtractor,HomepageExtractor,ImageExtractor

#extractors.ja=MappingExtractor

#extractors.ko=MappingExtractor,DisambiguationExtractor

#extractors.nl=MappingExtractor,DisambiguationExtractor

#extractors.pl=MappingExtractor,DisambiguationExtractor,HomepageExtractor,ImageExtractor

#extractors.pt=MappingExtractor,DisambiguationExtractor,HomepageExtractor,ImageExtractor,\
#TopicalConceptsExtractor

#extractors.ru=MappingExtractor,DisambiguationExtractor,HomepageExtractor,ImageExtractor,\
#TopicalConceptsExtractor

#extractors.sl=MappingExtractor

#extractors.tr=MappingExtractor

#extractors.ur=MappingExtractor

# if ontology and mapping files are not given or do not exist, download info from mappings.dbpedia.org
ontology=../ontology.xml
mappings=../mappings

# Serialization URI policies and file formats. Quick guide:
# uri-policy keys: uri, generic, xml-safe
# uri-policy position modifiers: -subjects, -predicates, -objects, -datatypes, -contexts
# uri-policy values: comma-separated languages or '*' for all languages
# format values: n-triples, n-quads, turtle-triples, turtle-quads, trix-triples, trix-quads
# See http://git.io/DBpedia-serialization-format-properties for details.

# For backwards compatibility, en uses generic URIs. All others use local IRIs.
uri-policy.uri=uri:fr; generic:fr; xml-safe-predicates:*
uri-policy.iri=generic:fr; xml-safe-predicates:*

# NT is unreadable anyway - might as well use URIs for en
format.nt.gz=n-triples;uri-policy.uri
#format.nq.gz=n-quads;uri-policy.uri

# Turtle is much more readable - use nice IRIs for all languages
#format.ttl.gz=turtle-triples;uri-policy.iri
#format.tql.gz=turtle-quads;uri-policy.iri